naked'Crew

Delete

(Leave this as-is, it’s a trap!)

To delete this thread, and all replies to it, you must be either the original author or a designated moderator.

NNF : serveur et version php

cram

Hello bonsoir,

Encore un truc simple que j'aime bien cette nouvelle formule de forum 👍
Du coup, je tente de me l'installer localement pour jouer avec.

Je suis parti avec un truc que j'ai par ailleurs: nginx et php8.

Mais je tombe sur erreur due à l'utilisation d'une fonction php dépréciée

%
$ curl http://nnf.lxc-web
<br />
<b>Fatal error</b>:  Uncaught Error: Call to undefined function get_magic_quotes_gpc() in /var/www/NoNonsenseForum/lib/utf8safe.php:50
Stack trace:
#0 /var/www/NoNonsenseForum/lib/utf8safe.php(74): preprocess_superglobals()
#1 /var/www/NoNonsenseForum/start.php(101): require_once('...')
#2 /var/www/NoNonsenseForum/index.php(9): require_once('...')
#3 {main}
  thrown in <b>/var/www/NoNonsenseForum/lib/utf8safe.php</b> on line <b>50</b><br />
%

PHP me dit:
«
Warning : This function has been DEPRECATED as of PHP 7.4.0, and REMOVED as of PHP 8.0.0. Relying on this function is highly discouraged.
»

@arpinux: Tu as une version php antérieure ou bien tu as adapté le code ?

Merci par avance, @+

:: @cram ajouté le 18 Feb ’22 · 22:37

Ouppss, raté la mise en forme...

Your friendly neighbourhood moderators: arpinux